rbconfig.rb RPATHFLAG wrong for AIX
Status: Closed   

Priority: Normal   

Assignee:    

Target version: 2.0.0   

ruby -v: ruby 1.9.1p376 (2009-12-07 revision

26041) [powerpc-aix5.3.0.0]

Backport:  

Description

=begin

When I do:

gem install curb

(as an example), a shared library is created but the shared library can not load.  I tracked it back to the line in rbconfig.rb which is:

CONFIG["RPATHFLAG"] = " -Wl,-blibpath:%1$-s"

This ends up producing -Wl,-blibpath:/usr/local/lib

on the final link.

This is incorrect because it does not include /usr/lib and is also a little bit dangerous for other reasons.  The flag should not be

necessary unless the user is doing something really strange.  The libpath that was used at link time is buried into the executable. 

The -blibpath flag overrides this with a new value.  Generally, it is not needed.  But, if you decide to use it, you need to include /usr/lib

or it will not be searched and the load of the shared library will fail because very often something from another library is needed.

I changed my rbconfig.rb file to simpley:

CONFIG["RPATHFLAG"] = ""

and it appears to be working for me.

I am not sure when this started.  I believe with p376 but I'm not sure.  My previous version was p243.

=end

History

#1 - 05/20/2010 09:14 AM - kanemoto (Yutaka Kanemoto)

=begin

Hi,

Thank you very much for reporting this issue.

I think this can be fixed by r27307. I will ask branch maintainer to

back port it to ruby_1_9_1.

After applying it:

% ruby -v -rcurb -e 'p Curl::Easy.perform("http://www.google.com/")'

ruby 1.9.1p424 (2010-05-03 revision 27598) [powerpc-aix5.3.0.0]

#<Curl::Easy http://www.google.com>

--

Yutaka KANEMOTO

http://d.hatena.ne.jp/kinpoco/

=end

#2 - 05/25/2010 07:23 PM - naruse (Yui NARUSE)

- Target version changed from 1.9.1 to 2.0.0
http://www.google.com/
http://www.google.com%3E
http://d.hatena.ne.jp/kinpoco/


=begin

=end

#3 - 09/09/2010 09:26 AM - naruse (Yui NARUSE)

- Status changed from Open to Closed

=begin

=end
